> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/financieren/huurreferentie-api/authenticatie-invoer-en-resultaat.md).

# Authenticatie, invoer en resultaat

## Huur Referentie API

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/rental-reference`

Post het adres en optionele parameters

#### Headers

| Name                                        | Type   | Description                                                                                              |
| ------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | Unieke API-sleutel van Altum. Maak er een op [https://platform.altum.ai](https://platform.altum.ai/auth) |
| Content-Type                                | String | application/json                                                                                         |

#### Request Body

| Name                                          | Type    | Description                                                                                                                                         |
| --------------------------------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| postcode<mark style="color:red;">\*</mark>    | String  | 1234AB                                                                                                                                              |
| housenumber<mark style="color:red;">\*</mark> | Number  | 1                                                                                                                                                   |
| houseaddition                                 | String  | A                                                                                                                                                   |
| innersurfacearea                              | Number  | Elk getal groter dan nul                                                                                                                            |
| furnished\_target                             | Boolean | 1 als het doel is ingericht                                                                                                                         |
| garden\_target                                | Boolean | 1 als het doelwit een tuin heeft                                                                                                                    |
| reference\_number                             | Number  | Van 10 tot 30                                                                                                                                       |
| date\_limit                                   | Number  | Tussen 6 en 60 maanden zoekgeschiedenis van transacties                                                                                             |
| window\_limit                                 | Boolean | 1 als u de referenties alleen uit het doelvenster wilt halen                                                                                        |
| furnished                                     | Boolean | 1 als u wilt dat de referenties hetzelfde hebben als het doel (indien aanwezig)                                                                     |
| garden                                        | Boolean | 1 als u wilt dat de referenties de waarde hebben voor tuin met het doel (indien aanwezig)                                                           |
| weight\_innersurfacearea                      | Float   | Neemt waarden aan tussen 0 en 1. Het gewicht ten opzichte van het binnenoppervlak voor het weergeven van de definitieve referenties. Standaard 0,8. |
| weight\_recency                               | Float   | Neemt waarden aan tussen 0 en 1. Het gewicht ten opzichte van de recentheid voor het weergeven van de definitieve referenties. Standaard 0,5.       |
| weight\_distance                              | Float   | Neemt waarden aan tussen 0 en 1. Het gewicht ten opzichte van de afstand voor het weergeven van de definitieve referenties. Standaard 0,8.          |

{% tabs %}
{% tab title="200: OK Succesvolle reactie" %}

```
{
	"postcode": "1057AA",
	"housenumber": "8",
	"houseaddition": "2",
	"longitude": "4.850520945759514",
	"latitude": "52.36553700367924",
	"street": null,
	"city": null,
	"inner_surface_area": "110",
	"furnished": "1",
	"garden": "1",
	"reference_data": {
		"market_rent": "1375",
		"number_of_references": "366",
		"rent_distribution": [
			{
				"min_sqm": "0",
				"max_sqm": "35",
				"sample_count": "2",
				"rent_total": "1200",
				"innersurfacearea_total": "67",
				"rent_innersurfacearea": "17.9",
				"avg_rent": "600"
			},
			{
				"min_sqm": "35",
				"max_sqm": "45",
				"sample_count": "6",
				"rent_total": "5091",
				"innersurfacearea_total": "243",
				"rent_innersurfacearea": "21.0",
				"avg_rent": "848"
			},
			{
				"min_sqm": "45",
				"max_sqm": "55",
				"sample_count": "12",
				"rent_total": "14318",
				"innersurfacearea_total": "612",
				"rent_innersurfacearea": "23.4",
				"avg_rent": "1193"
			},
			{
				"min_sqm": "55",
				"max_sqm": "65",
				"sample_count": "18",
				"rent_total": "21465",
				"innersurfacearea_total": "1119",
				"rent_innersurfacearea": "19.2",
				"avg_rent": "1192"
			},
			{
				"min_sqm": "65",
				"max_sqm": "75",
				"sample_count": "27",
				"rent_total": "40233",
				"innersurfacearea_total": "1936",
				"rent_innersurfacearea": "20.8",
				"avg_rent": "1490"
			},
			{
				"min_sqm": "75",
				"max_sqm": "85",
				"sample_count": "30",
				"rent_total": "41279",
				"innersurfacearea_total": "2417",
				"rent_innersurfacearea": "17.1",
				"avg_rent": "1376"
			},
			{
				"min_sqm": "85",
				"max_sqm": "95",
				"sample_count": "47",
				"rent_total": "78329",
				"innersurfacearea_total": "4219",
				"rent_innersurfacearea": "18.6",
				"avg_rent": "1667"
			},
			{
				"min_sqm": "95",
				"max_sqm": "105",
				"sample_count": "35",
				"rent_total": "55244",
				"innersurfacearea_total": "3510",
				"rent_innersurfacearea": "15.7",
				"avg_rent": "1578"
			},
			{
				"min_sqm": "105",
				"max_sqm": "115",
				"sample_count": "32",
				"rent_total": "44343",
				"innersurfacearea_total": "3558",
				"rent_innersurfacearea": "12.5",
				"avg_rent": "1386"
			},
			{
				"min_sqm": "115",
				"max_sqm": "125",
				"sample_count": "41",
				"rent_total": "67110",
				"innersurfacearea_total": "4914",
				"rent_innersurfacearea": "13.7",
				"avg_rent": "1637"
			},
			{
				"min_sqm": "125",
				"max_sqm": "200",
				"sample_count": "105",
				"rent_total": "212150",
				"innersurfacearea_total": "15252",
				"rent_innersurfacearea": "13.9",
				"avg_rent": "2020"
			},
			{
				"min_sqm": "200",
				"max_sqm": "inf",
				"sample_count": "11",
				"rent_total": "35750",
				"innersurfacearea_total": "2648",
				"rent_innersurfacearea": "13.5",
				"avg_rent": "3250"
			}
		],
		"reference_houses": [
			{
				"postcode": "1062JN",
				"housenumber": "149",
				"houseaddition": "L",
				"street": "Postjesweg",
				"city": "Amsterdam",
				"housetype": "appartement",
				"buildyear": "2024.0",
				"innersurfacearea": "47",
				"price_per_sqm2": "22.34",
				"energylabel": "A+++",
				"rental_price": "1050",
				"rental_price_indexed": "1050",
				"bedrooms": "1",
				"furnishment": null,
				"garden": "0",
				"collection_date": "2024-01",
				"distance": "653",
				"weight": "1.0"
			},
			{
				"postcode": "1072LJ",
				"housenumber": "16",
				"houseaddition": "B",
				"street": "Ferdinand Bolstraat",
				"city": "Amsterdam",
				"housetype": "appartement",
				"buildyear": "1875.0",
				"innersurfacearea": "93",
				"price_per_sqm2": "37.63",
				"energylabel": "C",
				"rental_price": "3500",
				"rental_price_indexed": "3500",
				"bedrooms": "2",
				"furnishment": "0.0",
				"garden": "0",
				"collection_date": "2024-01",
				"distance": "2873",
				"weight": "0.989"
			},
			{
				"postcode": "1072VC",
				"housenumber": "136",
				"houseaddition": "H",
				"street": "Eerste Jan van der Heijdenstraat",
				"city": "Amsterdam",
				"housetype": "benedenwoning",
				"buildyear": "1891.0",
				"innersurfacearea": "71",
				"price_per_sqm2": "31.69",
				"energylabel": "C",
				"rental_price": "2250",
				"rental_price_indexed": "2250",
				"bedrooms": "1",
				"furnishment": "0.0",
				"garden": "0",
				"collection_date": "2024-05",
				"distance": "3175",
				"weight": "0.988"
			},
			{
				"postcode": "1013MZ",
				"housenumber": "70",
				"houseaddition": "3",
				"street": "Houtmankade",
				"city": "Amsterdam",
				"housetype": "appartement",
				"buildyear": "1926.0",
				"innersurfacearea": "55",
				"price_per_sqm2": "32.73",
				"energylabel": "A",
				"rental_price": "1800",
				"rental_price_indexed": "1800",
				"bedrooms": "1",
				"furnishment": null,
				"garden": "0",
				"collection_date": "2024-03",
				"distance": "3250",
				"weight": "0.987"
			},
			{
				"postcode": "1066LC",
				"housenumber": "57",
				"houseaddition": null,
				"street": "Kinrooistraat",
				"city": "Amsterdam",
				"housetype": "tussenwoning",
				"buildyear": "1992.0",
				"innersurfacearea": "91",
				"price_per_sqm2": "21.98",
				"energylabel": "B",
				"rental_price": "2000",
				"rental_price_indexed": "2000",
				"bedrooms": "2",
				"furnishment": "0.0",
				"garden": "0",
				"collection_date": "2024-01",
				"distance": "3238",
				"weight": "0.987"
			},
			{
				"postcode": "1081GT",
				"housenumber": "17",
				"houseaddition": null,
				"street": "Cannenburg",
				"city": "Amsterdam",
				"housetype": "tussenwoning",
				"buildyear": "1965.0",
				"innersurfacearea": "212",
				"price_per_sqm2": "35.38",
				"energylabel": "A",
				"rental_price": "7500",
				"rental_price_indexed": "7500",
				"bedrooms": "4",
				"furnishment": "0.0",
				"garden": "0",
				"collection_date": "2024-01",
				"distance": "4031",
				"weight": "0.981"
			},
			{
				"postcode": "1081BL",
				"housenumber": "23",
				"houseaddition": null,
				"street": "Soetendaal",
				"city": "Amsterdam",
				"housetype": "geschakelde woning",
				"buildyear": "1962.0",
				"innersurfacearea": "171",
				"price_per_sqm2": "23.39",
				"energylabel": "D",
				"rental_price": "4000",
				"rental_price_indexed": "4000",
				"bedrooms": "5",
				"furnishment": null,
				"garden": "0",
				"collection_date": "2023-12",
				"distance": "4425",
				"weight": "0.979"
			},
			{
				"postcode": "1082EG",
				"housenumber": "243",
				"houseaddition": "2",
				"street": "Kastelenstraat",
				"city": "Amsterdam",
				"housetype": "appartement",
				"buildyear": "1960.0",
				"innersurfacearea": "75",
				"price_per_sqm2": "26.67",
				"energylabel": "F",
				"rental_price": "2000",
				"rental_price_indexed": "2000",
				"bedrooms": "2",
				"furnishment": "1.0",
				"garden": "0",
				"collection_date": "2023-12",
				"distance": "4663",
				"weight": "0.978"
			},
			{
				"postcode": "1032LB",
				"housenumber": "52",
				"houseaddition": null,
				"street": "Hulstweg",
				"city": "Amsterdam",
				"housetype": "appartement",
				"buildyear": "2024.0",
				"innersurfacearea": "68",
				"price_per_sqm2": "20.96",
				"energylabel": "Niet beschikbaar",
				"rental_price": "1425",
				"rental_price_indexed": "1425",
				"bedrooms": "2",
				"furnishment": null,
				"garden": "0",
				"collection_date": "2024-01",
				"distance": "5276",
				"weight": "0.975"
			},
			{
				"postcode": "1032LB",
				"housenumber": "68",
				"houseaddition": null,
				"street": "Hulstweg",
				"city": "Amsterdam",
				"housetype": "appartement",
				"buildyear": "2024.0",
				"innersurfacearea": "51",
				"price_per_sqm2": "23.73",
				"energylabel": "Niet beschikbaar",
				"rental_price": "1210",
				"rental_price_indexed": "1210",
				"bedrooms": "1",
				"furnishment": null,
				"garden": "0",
				"collection_date": "2024-01",
				"distance": "5276",
				"weight": "0.975"
			}
		]
	}
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Verkeerd invoerformaat" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				43
			],
			"msg": "Expecting value: line 3 column 18 (char 43)",
			"type": "value_error.jsondecode",
			"ctx": {
				"msg": "Expecting value",
				"doc": "{\n  \"postcode\": \"2201PZ\",\n  \"housenumber\": a,\n  \"valuationdate\": \"20121001\"\n}",
				"pos": 43,
				"lineno": 3,
				"colno": 18
			}
		}
	]
}
```

{% endtab %}

{% tab title="400: Bad Request Mislukte reactie" %}

```json
{
    'Output': 'The given house address not found in database, the combination of Post Code, House Number and House Addition does not exist.'
}
```

{% endtab %}

{% tab title="400: Bad Request Unsuccessful response" %}

```
{
    'Output': 'The garden of the given house is unknown. Please fill the garden_target input.'
}
```

{% endtab %}

{% tab title="400: Bad Request Unsuccessful response" %}

```
{
    'Output': 'The furnishment type of the given house is unknown. Please fill the furnished_target input.'
}
```

{% endtab %}

{% tab title="401: Unauthorized Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}

{% tab title="403: Forbidden Verboden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Voorbeeld verzoek

```
{
    "postcode": "1057AA",
    "housenumber": 8,
    "houseaddition": "2",
    "innersurfacearea": 110,
    "furnished_target": 1,
    "garden_target": 1,
    "reference_number": 10,
    "date_limit": 6,
    "window_limit": 0,
    "furnished": 0,
    "garden": 0,
    "weight_innersurfacearea": 0.3,
    "weight_recency": 0.9,
    "weight_distance": 0.1
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.altum.ai/financieren/huurreferentie-api/authenticatie-invoer-en-resultaat.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
